Index: trunk/examples/extended/medical/fanoCavity/GNUmakefile
===================================================================
--- trunk/examples/extended/medical/fanoCavity/GNUmakefile	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2007/01/19 17:20:26 maire Exp $
+# $Id: GNUmakefile,v 1.2 2008/06/11 15:25:38 vnivanch Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
@@ -34,5 +24,5 @@
 	rm -f g4*.prim g4*.eps g4*.wrl
 	rm -f .DAWN_*
-	
+
 histclean:
 	rm ${G4WORKDIR}/tmp/${G4SYSTEM}/${G4TARGET}/HistoManager.o
Index: trunk/examples/extended/medical/fanoCavity/fanoCavity.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/fanoCavity.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: fanoCavity.cc,v 1.6 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.2 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.4 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/MyKleinNishinaCompton.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: MyKleinNishinaCompton.hh,v 1.3 2007/05/23 08:40:21 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: MyKleinNishinaCompton.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
@@ -36,4 +36,5 @@
 
 class DetectorConstruction;
+class MyKleinNishinaMessenger;
 class G4ParticleChangeForGamma;
 
@@ -66,6 +67,7 @@
 protected:
 
-  DetectorConstruction* detector;
-  G4double              CrossSectionFactor;
+  DetectorConstruction*    detector;
+  MyKleinNishinaMessenger* pMessenger;
+  G4double  CrossSectionFactor;
 
 };
Index: trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/MyMollerBhabhaModel.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsList.hh	(revision 1230)
@@ -24,10 +24,7 @@
 // ********************************************************************
 //
+// $Id: PhysicsList.hh,v 1.4 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
-// $Id: PhysicsList.hh,v 1.3 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
-//
-// 
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -36,39 +33,35 @@
 #define PhysicsList_h 1
 
-#include "G4VUserPhysicsList.hh"
+#include "G4VModularPhysicsList.hh"
 #include "globals.hh"
 
+class G4VPhysicsConstructor;
+
 class DetectorConstruction;
-class MyKleinNishinaCompton;
 class PhysicsListMessenger;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-class PhysicsList: public G4VUserPhysicsList
+class PhysicsList: public G4VModularPhysicsList
 {
-  public:
-    PhysicsList(DetectorConstruction*);
-   ~PhysicsList();
+public:
+  PhysicsList(DetectorConstruction*);
+  virtual ~PhysicsList();
 
-    // Construct particle and physics
-    void ConstructParticle();
-    void ConstructProcess();
- 
-    void SetCuts();
+  void ConstructParticle();
+        
+  void AddPhysicsList(const G4String& name);    
+  void ConstructProcess();    
+  void AddStepMax(); 
+  
+  void SetCuts();      
     
-    // these methods Construct physics processes and register them
-    void ConstructEM();
-    void AddStepMax();
-    
-    void SetComptonCSfactor(G4double);
-    void SingleCoulombScattering (G4bool);    
-    void RegisterBrem (G4bool);
-    
-  private:
-    DetectorConstruction*  detector;
-    MyKleinNishinaCompton* comptonModel;
-    G4bool                 singleScattering;        
-    G4bool                 registerBrem;    
-    PhysicsListMessenger*  pMessenger;    
+private:
+
+  DetectorConstruction* detector;
+  PhysicsListMessenger* pMessenger; 
+
+  G4String emName;
+  G4VPhysicsConstructor*  emPhysicsList;
 };
 
@@ -77,4 +70,2 @@
 #endif
 
-
-
Index: trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/PhysicsListMessenger.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.hh,v 1.2 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.hh,v 1.3 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -33,11 +33,11 @@
 #define PhysicsListMessenger_h 1
 
+#include "G4UImessenger.hh"
 #include "globals.hh"
-#include "G4UImessenger.hh"
 
 class PhysicsList;
 class G4UIdirectory;
-class G4UIcmdWithADouble;
-class G4UIcmdWithABool;
+class G4UIcmdWithADoubleAndUnit;
+class G4UIcmdWithAString;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -45,5 +45,6 @@
 class PhysicsListMessenger: public G4UImessenger
 {
-  public:  
+  public:
+  
     PhysicsListMessenger(PhysicsList* );
    ~PhysicsListMessenger();
@@ -51,10 +52,10 @@
     void SetNewValue(G4UIcommand*, G4String);
     
-  private:  
-    PhysicsList*        pPhysicsList;   
-    G4UIdirectory*      physDir;        
-    G4UIcmdWithADouble* csFactor;
-    G4UIcmdWithABool*   singleScat;      
-    G4UIcmdWithABool*   brem;    
+  private:
+  
+    PhysicsList*               pPhysicsList;
+    
+    G4UIdirectory*             physDir;
+    G4UIcmdWithAString*        pListCmd;
 };
 
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/ProcessesCount.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.1 2007/01/19 17:20:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/RunAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.3 2007/10/29 12:36:26 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/StackingMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.hh,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMax.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.3 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/run01.mac
===================================================================
--- trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/run01.mac	(revision 1230)
@@ -1,6 +1,8 @@
-# $Id: run01.mac,v 1.5 2007/10/29 17:09:53 maire Exp $
+# $Id: run01.mac,v 1.7 2009/10/25 19:06:26 maire Exp $
 #
 /control/verbose 2
 /run/verbose 2
+#
+/testem/phys/addPhysics  standard_opt3
 #
 /run/initialize
@@ -9,5 +11,5 @@
 #
 /testem/histo/setFileName fanocavity
-/testem/histo/setFileType hbook
+/testem/histo/setFileType root
 /testem/histo/setHisto  1 120 -6 +6 mm		#interaction point
 /testem/histo/setHisto  2 125  0  1250 keV	#energy spectrum
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.3 2007/10/08 12:05:02 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 
 //
Index: trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.3 2007/11/05 13:44:18 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/EventAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoManager.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HistoManager.cc,v 1.5 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: HistoManager.cc,v 1.7 2008/09/28 16:04:01 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -54,6 +54,6 @@
  
   fileName[0] = "fanocavity";
-  fileType    = "hbook";
-  fileOption  = "--noErrors uncompress";  
+  fileType    = "root";
+  fileOption  = "--noErrors export=root uncompress";  
   // histograms
   for (G4int k=0; k<MaxHisto; k++) {
@@ -224,5 +224,5 @@
  if (ih > MaxHisto) {
     G4cout << "---> warning from HistoManager::RemoveHisto() : histo " << ih
-           << "does not exist" << G4endl;
+           << "does not exist  (fac = " << fac << ")"  << G4endl;
     return;
   }
Index: trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/HistoMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.cc,v 1.2 2007/11/13 11:31:54 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/MyKleinNishinaCompton.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: MyKleinNishinaCompton.cc,v 1.5 2007/10/01 15:19:57 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: MyKleinNishinaCompton.cc,v 1.6 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
@@ -31,4 +31,5 @@
 
 #include "MyKleinNishinaCompton.hh"
+#include "MyKleinNishinaMessenger.hh"
 #include "DetectorConstruction.hh"
 
@@ -48,5 +49,6 @@
   :G4KleinNishinaCompton(0,nam), detector(det)
 {
-  CrossSectionFactor = 1.; 
+  CrossSectionFactor = 1.;
+  pMessenger = new MyKleinNishinaMessenger(this);    
 }
 
@@ -54,5 +56,7 @@
 
 MyKleinNishinaCompton::~MyKleinNishinaCompton()
-{}
+{  
+  delete pMessenger;  
+}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/MyMollerBhabhaModel.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsList.cc	(revision 1230)
@@ -24,9 +24,7 @@
 // ********************************************************************
 //
+// $Id: PhysicsList.cc,v 1.18 2009/10/29 16:19:59 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
-// $Id: PhysicsList.cc,v 1.9 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
-//
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -34,25 +32,47 @@
 #include "PhysicsList.hh"
 #include "PhysicsListMessenger.hh"
-#include "DetectorConstruction.hh"
+
+#include "PhysListEmStandard_option0.hh"
+#include "PhysListEmStandard_option3.hh"
+#include "PhysListEmStandard_GS.hh"
+#include "PhysListEmStandard_SS.hh"
+
+#include "StepMax.hh"
 
 #include "G4ParticleDefinition.hh"
-#include "G4ParticleTypes.hh"
-#include "G4ParticleTable.hh"
 
 #include "G4ProcessManager.hh"
 #include "G4LossTableManager.hh"
 
+// Bosons
+#include "G4ChargedGeantino.hh"
+#include "G4Geantino.hh"
+#include "G4Gamma.hh"
+
+// leptons
+#include "G4Electron.hh"
+#include "G4Positron.hh"
+
+// Hadrons
+#include "G4Proton.hh"
+
+
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
 PhysicsList::PhysicsList(DetectorConstruction* det)
-: G4VUserPhysicsList(), detector(det)
+: G4VModularPhysicsList(), detector(det)
 {
-  defaultCutValue = 10.*km;
-  singleScattering = false;
-  registerBrem = false;
-  pMessenger = new PhysicsListMessenger(this);
-  SetVerboseLevel(1);
+  G4LossTableManager::Instance();
+  pMessenger = new PhysicsListMessenger(this); 
+   
+  // EM physics
+  emName = G4String("standard_opt3");
+  emPhysicsList = new PhysListEmStandard_option3(emName,detector);
+      
+  defaultCutValue = 10*km;
+
+  SetVerboseLevel(1);  
   
-  G4LossTableManager::Instance();  
+  G4LossTableManager::Instance();
 }
 
@@ -60,5 +80,8 @@
 
 PhysicsList::~PhysicsList()
-{ delete pMessenger; }
+{
+  delete emPhysicsList;
+  delete pMessenger;  
+}
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -66,11 +89,17 @@
 void PhysicsList::ConstructParticle()
 {
+  // pseudo-particles
   G4Geantino::GeantinoDefinition();
+  G4ChargedGeantino::ChargedGeantinoDefinition();
+  
+  // gamma
   G4Gamma::GammaDefinition();
-
+  
+  // leptons
   G4Electron::ElectronDefinition();
   G4Positron::PositronDefinition();
 
-  G4Proton::ProtonDefinition();
+  // baryons
+  G4Proton::ProtonDefinition();  
 }
 
@@ -80,122 +109,10 @@
 {
   AddTransportation();
-  ConstructEM();
+  emPhysicsList->ConstructProcess();
+
   AddStepMax();
 }
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "G4ComptonScattering.hh"
-#include "MyKleinNishinaCompton.hh"
-#include "G4GammaConversion.hh"
-#include "G4PhotoElectricEffect.hh"
-
-#include "G4MultipleScattering.hh"
-#include "G4CoulombScattering.hh"
-
-#include "G4eIonisation.hh"
-#include "MyMollerBhabhaModel.hh"
-#include "G4eBremsstrahlung.hh"
-#include "G4eplusAnnihilation.hh"
-
-#include "G4hIonisation.hh"
-
-#include "G4EmProcessOptions.hh"
-#include "G4MscStepLimitType.hh"
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-
-void PhysicsList::ConstructEM()
-{
-  theParticleIterator->reset();
-  while( (*theParticleIterator)() ){
-    G4ParticleDefinition* particle = theParticleIterator->value();
-    G4ProcessManager* pmanager = particle->GetProcessManager();
-    G4String particleName = particle->GetParticleName();
-    G4int iAlong = 0, iPost = 0; 
-     
-    if (particleName == "gamma") {
-    
-      G4ComptonScattering* compton = new G4ComptonScattering();
-      compton->SetModel(comptonModel = new MyKleinNishinaCompton(detector));
-      comptonModel->SetCSFactor(1000.);
-       
-      pmanager->AddDiscreteProcess(compton);                
-      pmanager->AddDiscreteProcess(new G4PhotoElectricEffect);
-      pmanager->AddDiscreteProcess(new G4GammaConversion);
-      
-    } else if (particleName == "e-") {
-
-      if (singleScattering)
-        pmanager->AddProcess(new G4CoulombScattering,  -1, -1,       ++iPost);
-        else    
-        pmanager->AddProcess(new G4MultipleScattering, -1, ++iAlong, ++iPost);
-      
-      G4eIonisation* eIoni = new G4eIonisation();
-      eIoni->SetEmModel(new MyMollerBhabhaModel);             
-      pmanager->AddProcess(eIoni,                      -1, ++iAlong, ++iPost);
-      
-      if (registerBrem)
-        pmanager->AddProcess(new G4eBremsstrahlung,    -1, ++iAlong, ++iPost);      
-       
-    } else if (particleName == "e+") {
-    
-      if (singleScattering)
-        pmanager->AddProcess(new G4CoulombScattering,  -1, -1,       ++iPost);
-        else   
-        pmanager->AddProcess(new G4MultipleScattering, -1, ++iAlong, ++iPost);
-      
-      G4eIonisation* pIoni = new G4eIonisation();
-      pIoni->SetEmModel(new MyMollerBhabhaModel);                   
-      pmanager->AddProcess(pIoni,                      -1, ++iAlong, ++iPost);
-      
-      if (registerBrem) {
-        pmanager->AddProcess(new G4eBremsstrahlung,    -1, ++iAlong, ++iPost);
-        pmanager->AddProcess(new G4eplusAnnihilation,   0, -1,       ++iPost);
-      }
-      
-    } else if (particleName == "proton") {
-    
-      if (singleScattering)
-        pmanager->AddProcess(new G4CoulombScattering,  -1, -1,       ++iPost);
-        else   
-        pmanager->AddProcess(new G4MultipleScattering, -1, ++iAlong, ++iPost);
-	
-      pmanager->AddProcess(new G4hIonisation,          -1, ++iAlong, ++iPost);
-    }
-  }
-  
-  // Em options
-  //
-  G4EmProcessOptions emOptions;
-  
-  //multiple scattering
-  //
-  emOptions.SetMscStepLimitation(fUseDistanceToBoundary);
-  emOptions.SetSkin(2.);
-  
-  //physics tables
-  //
-  emOptions.SetMinEnergy(100*eV);    
-  emOptions.SetMaxEnergy(10*GeV);  
-  emOptions.SetDEDXBinning(800);  
-  emOptions.SetLambdaBinning(800);
-  
-  //energy loss
-  //  
-  emOptions.SetStepFunction(0.2, 10*um);
-  emOptions.SetLinearLossLimit(1.e-6);
-          
-  //build CSDA range
-  //
-  emOptions.SetBuildCSDARange(true);
-  emOptions.SetMaxEnergyForCSDARange(10*GeV);  
-  emOptions.SetDEDXBinningForCSDARange(800);    
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-#include "StepMax.hh"
 
 void PhysicsList::AddStepMax()
@@ -209,8 +126,49 @@
       G4ProcessManager* pmanager = particle->GetProcessManager();
 
-      if (stepMaxProcess->IsApplicable(*particle))
+      if (stepMaxProcess->IsApplicable(*particle) && !particle->IsShortLived())
         {
 	  pmanager ->AddDiscreteProcess(stepMaxProcess);
         }
+  }
+}
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
+
+void PhysicsList::AddPhysicsList(const G4String& name)
+{
+  if (verboseLevel>-1) {
+    G4cout << "PhysicsList::AddPhysicsList: <" << name << ">" << G4endl;
+  }
+
+  if (name == emName) return;
+
+  if (name == "standard_opt0") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_option0(name,detector);
+    
+  } else if (name == "standard_opt3") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_option3(name,detector);
+    
+  } else if (name == "standard_GS") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_GS(name,detector);    
+    
+  } else if (name == "standard_SS") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandard_SS(name,detector);    
+  } else {
+
+    G4cout << "PhysicsList::AddPhysicsList: <" << name << ">"
+           << " is not defined"
+           << G4endl;
   }
 }
@@ -232,30 +190,6 @@
   SetCutValue(defaultCutValue, "e-");
   SetCutValue(defaultCutValue, "e+");
+  SetCutValue(defaultCutValue, "proton");  
 }
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void PhysicsList::SetComptonCSfactor(G4double factor)
-{
-  if (comptonModel) comptonModel->SetCSFactor(factor);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void PhysicsList::SingleCoulombScattering(G4bool flag)
-{
-  singleScattering = flag;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void PhysicsList::RegisterBrem(G4bool flag)
-{
-  registerBrem = flag;
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-
-
-
Index: trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/PhysicsListMessenger.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.cc,v 1.2 2007/10/02 14:42:51 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.cc,v 1.3 2009/10/25 19:06:26 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -33,8 +33,7 @@
 
 #include "PhysicsList.hh"
-#include "MyKleinNishinaCompton.hh"
 #include "G4UIdirectory.hh"
-#include "G4UIcmdWithADouble.hh"
-#include "G4UIcmdWithABool.hh"
+#include "G4UIcmdWithADoubleAndUnit.hh"
+#include "G4UIcmdWithAString.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -42,24 +41,12 @@
 PhysicsListMessenger::PhysicsListMessenger(PhysicsList* pPhys)
 :pPhysicsList(pPhys)
-{
+{ 
   physDir = new G4UIdirectory("/testem/phys/");
   physDir->SetGuidance("physics list commands");
-  
-  csFactor = new G4UIcmdWithADouble("/testem/phys/crossSectionFactor",this);
-  csFactor->SetGuidance("multiply Compton cross section");
-  csFactor->SetParameterName("factor",false);
-  csFactor->SetRange("factor>=0");
-  
-  singleScat = new G4UIcmdWithABool("/testem/phys/singleScattering",this);
-  singleScat->SetGuidance("apply single Coulomb scattering process");
-  singleScat->SetParameterName("flag",true);
-  singleScat->SetDefaultValue(true);
-  singleScat->AvailableForStates(G4State_PreInit);
-        
-  brem = new G4UIcmdWithABool("/testem/phys/registerBrem",this);
-  brem->SetGuidance("register Brems in PhysicsList");
-  brem->SetParameterName("flag",true);
-  brem->SetDefaultValue(true);
-  brem->AvailableForStates(G4State_PreInit);    
+
+  pListCmd = new G4UIcmdWithAString("/testem/phys/addPhysics",this);  
+  pListCmd->SetGuidance("Add modula physics list.");
+  pListCmd->SetParameterName("PList",false);
+  pListCmd->AvailableForStates(G4State_PreInit);
 }
 
@@ -68,8 +55,6 @@
 PhysicsListMessenger::~PhysicsListMessenger()
 {
-  delete csFactor;
-  delete singleScat;
-  delete brem;
-  delete physDir;    
+  delete pListCmd;
+  delete physDir;
 }
 
@@ -78,13 +63,7 @@
 void PhysicsListMessenger::SetNewValue(G4UIcommand* command,
                                           G4String newValue)
-{ 
-  if (command == csFactor)
-   {pPhysicsList->SetComptonCSfactor(csFactor->GetNewDoubleValue(newValue));}
-   
-  if (command == singleScat)
-   {pPhysicsList->SingleCoulombScattering(singleScat->GetNewBoolValue(newValue));}
-            
-  if (command == brem)
-   {pPhysicsList->RegisterBrem(brem->GetNewBoolValue(newValue));}      
+{           
+  if( command == pListCmd )
+   { pPhysicsList->AddPhysicsList(newValue);}
 }
 
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/RunAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.3 2007/10/29 12:36:26 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: RunAction.cc,v 1.4 2009/01/22 18:34:06 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -325,5 +325,5 @@
   //
   G4double ratio = doseOverBeam/massTransfCoef;
-  G4double error = ratio*(dEoverE + dToverT);
+  G4double error = ratio*std::sqrt(dEoverE*dEoverE + dToverT*dToverT);
   
   G4cout.precision(5);  
Index: trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingAction.cc,v 1.2 2007/03/02 11:08:41 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/StackingMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.cc,v 1.1 2007/01/23 13:34:19 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMax.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.1 2007/01/19 17:20:27 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity/src/TrackingAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.cc,v 1.4 2007/10/29 17:09:53 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
